Bug 1257695 - (signon-glib) Review Request: signon-glib - Single signon authentication library for GLib applications
Review Request: signon-glib - Single signon authentication library for GLib a...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews telepathy-accounts-signon
  Show dependency treegraph
 
Reported: 2015-08-27 13:08 EDT by Daniel Vrátil
Modified: 2015-11-01 20:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-14 09:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2015-08-27 13:08:03 EDT
Spec URL: https://dvratil.fedorapeople.org/applications/review/signon-glib.spec
SRPM URL: https://dvratil.fedorapeople.org/applications/review/signon-glib-1.9-1.fc22.src.rpm
Description: Single signon authentication library for GLib applications
Fedora Account System Username: dvratil
Comment 1 Jan Grulich 2015-08-31 06:28:33 EDT
Doesn't build, see:
./autogen.sh: line 13: gtkdocize: command not found

I guess you are missing BuildRequires: gtk-doc.

And doesn't build even later with added BR: gtk-doc because of:
libsignon-glib/Makefile.am:1: error: Libtool library used but 'LIBTOOL' is undefined
libsignon-glib/Makefile.am:1:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'
libsignon-glib/Makefile.am:1:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.
libsignon-glib/Makefile.am:1:   If 'LT_INIT' is in 'configure.ac', make sure
libsignon-glib/Makefile.am:1:   its definition is in aclocal's search path.
/usr/share/automake-1.15/am/ltlibrary.am: warning: 'libsignon-glib.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.15/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
libsignon-glib/Makefile.am:1:   while processing Libtool library 'libsignon-glib.la'
libsignon-glib/Makefile.am: installing 'build-aux/depcomp'
pygobject/Makefile.am:2: installing 'build-aux/py-compile'
autoreconf: automake failed with exit status: 1
Comment 2 Jan Grulich 2015-08-31 06:33:43 EDT
I tried to build it for rawhide using fedora-review (the output above). When I try to build it locally then it builds fine, but reveals also wrong %files section, see:

Processing files: signon-glib-devel-1.9-1.fc22.x86_64
error: File not found: /home/jgrulich/rpmbuild/BUILDROOT/signon-glib-1.9-1.fc22.x86_64/usr/lib64/girepository-1.0/Signon-1.0.typelib
error: File not found: /home/jgrulich/rpmbuild/BUILDROOT/signon-glib-1.9-1.fc22.x86_64/usr/share/gir-1.0/Signon-1.0.gir
error: File not found by glob: /home/jgrulich/rpmbuild/BUILDROOT/signon-glib-1.9-1.fc22.x86_64/usr/lib64/python2.7/site-packages/gi/overrides/Signon.*
Comment 3 Upstream Release Monitoring 2015-10-13 10:04:35 EDT
dvratil's scratch build of signon-glib-1.9-1.fc22.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11428916
Comment 4 Upstream Release Monitoring 2015-10-13 10:10:21 EDT
dvratil's scratch build of signon-glib-1.9-1.fc22.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11429003
Comment 5 Upstream Release Monitoring 2015-10-13 10:36:14 EDT
dvratil's scratch build of signon-glib-1.9-1.fc22.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11429257
Comment 6 Upstream Release Monitoring 2015-10-13 10:53:17 EDT
dvratil's scratch build of signon-glib-1.9-1.fc22.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11429409
Comment 8 Jan Grulich 2015-10-13 11:47:22 EDT
1) Wrong version in %changelog
2) Invalid license LGPLv2.1 → LGPLv2+

Only minor issues which can be fixed during import, approved.
Comment 9 Rex Dieter 2015-10-14 06:53:20 EDT
SCM requested in pkgdb
Comment 10 Daniel Vrátil 2015-10-14 09:15:36 EDT
Package imported.

Note You need to log in before you can comment on or make changes to this bug.